<?php
/**
 * Raise Charity Pro: Color Patterns
 *
 * @package WordPress
 * @subpackage Raise Charity Pro
 * @since 1.0
 */

/**
 * Generate the CSS for the current custom color scheme.
 */
function raise_charity_pro_custom_colors_css() {
  	$options= raise_charity_pro_get_theme_options();

	$color_value = $options['colorscheme_hue'];
	
	$css = '

	.backtotop,
	form.search-form button.search-submit,
	.main-navigation ul.nav-menu li.custom-menu-item a,
	#hero-banner .btn,
	#hero-banner .btn:first-child:hover,
	.btn:hover, 
	.btn:focus,
	.help-wrapper .read-more .btn,
	.price-table-wrapper:first-child .details-wrapper .btn,
	.pagination .page-numbers.current, 
	.pagination .page-numbers:hover, 
	.pagination .page-numbers:focus,
	.reply a:hover, 
	.reply a:focus,
	button:hover, 
	input[type="button"]:hover, 
	input[type="reset"]:hover, 
	input[type="submit"]:hover,
	.slick-arrow:hover, 
	.slick-arrow:focus,
	#magazine-must-read .post-categories a, 
	.magazine-photography-wrapper .post-categories a,
	.fourth-design .btn.btn-fill, 
	.fourth-design.dark-version .btn.btn-fill,
	#business-about-us .entry-title:after,
	#business-subscribe-us button[type="submit"]:hover, 
	#business-subscribe-us button[type="submit"]:focus,
	#medical-features .medical-feature-item:hover,
	#medical-reasons,
	#medical-news .date,
	#medical-news .date:before,
	.btn.btn-fill:hover, 
	.btn.btn-fill:focus,
	.video-button,
	#top-navigation,
	#masthead .custom-button,
	.featured-slider .read-more a:first-child:hover, 
	.featured-slider .read-more a:first-child:focus,
	.btn,
	#service-section .icon-container a,
	#event-section article:nth-child(odd):before, 
	#event-section article:nth-child(even):before,
	#event-section article:nth-child(odd):after, 
	#event-section article:nth-child(even):after,
	#gallery-section .featured-image,
	.reply a,
	input[type="submit"],
	#skills-section .skillbar-inner,
	.main-navigation .search-form .search-submit:hover, 
	.main-navigation .search-form .search-submit:focus,
	.woocommerce ul.products li.product .onsale,
	#testimonial-section .overlay,
	.woocommerce a.button {
	    background-color: ' . esc_attr($color_value) . ' !important;
	}

	.main-navigation ul.nav-menu li.custom-menu-item a:focus  {
		background-color: transparent;
	}

	a,
	.site-title a:hover,
	.site-title a:focus,
	.main-navigation ul#primary-menu li.current-menu-item > a,
	.main-navigation ul#primary-menu li:hover > a,
	.main-navigation ul#primary-menu li:focus > a,
	.main-navigation a:hover,
	.main-navigation a:focus,
	.main-navigation ul.nav-menu > li > a:hover,
	.main-navigation ul.nav-menu > li > a:focus,
	.post-navigation a, 
	.posts-navigation a,
	#our-services .service-icon a:hover, 
	#our-services .service-icon a:focus, 
	#our-services .entry-title a:hover, 
	#our-services .entry-title a:focus,
	#counter article:nth-child(even) .entry-title,
	.section-subtitle,
	.trip-category a:hover,
	.help-wrapper .entry-title a:hover,
	.price-table-wrapper:first-child span,
	.price-table-wrapper:first-child span,
	.testimonial-slider .entry-title a:hover,
	.woocommerce-loop-product__title:hover,
	.woocommerce ul.products li.product .price,
	.woocommerce #respond input#submit:hover, 
	.woocommerce button.button:hover, 
	.woocommerce input.button:hover,
	.posted-on a:hover, 
	.byline:hover, 
	.byline a:hover, 
	.archive-blog-wrapper .entry-title a:hover,
	#contact-us ul li a:hover,
	#colophon .footer-menu a:hover, 
	#colophon .info-menu a:hover,
	#colophon a:hover, 
	#colophon a:focus,
	#colophon .site-info a:hover, 
	#colophon .site-info a:focus,
	#secondary .cat-links a, 
	#secondary a:hover, 
	#secondary a:focus,
	.single-wrapper .entry-meta span a:hover, 
	.single-wrapper .entry-meta span a:focus, 
	.single-wrapper .cat-links a, 
	.single-wrapper .entry-meta span.byline a.fn:hover, 
	.single-wrapper .entry-meta span.byline a.fn:focus,
	.navigation.post-navigation a:hover, 
	.navigation.posts-navigation a:hover, 
	.navigation.post-navigation a:focus, 
	.navigation.posts-navigation a:focus,
	.comment-meta .url:hover, 
	.comment-meta .url:focus,
	.comment-metadata a:hover time, 
	.comment-metadata a:focus time,
	#masonry .grid .entry-title a:hover, 
	#masonry .grid .entry-title a:focus,
	.woocommerce ul.products li.product .onsale,
	#our-menus .price,
	#magazine-thumbnail-post .entry-container .entry-title a:hover, 
	#magazine-thumbnail-post .entry-container .entry-title a:focus, 
	#magazine-must-read .entry-container .entry-title a:hover, 
	.third-design .entry-title a:hover,
	.featured-content-wrapper .entry-title a:hover, 
	.featured-content-wrapper .entry-title a:focus,
	#business-services-section .entry-title a:hover, 
	#business-services-section .entry-title a:focus, 
	#services .entry-title a:hover, 
	#services .entry-title a:focus,
	#business-services-section .icon-container a:hover, 
	#business-services-section .icon-container a:focus,
	#featured-products .entry-title a:hover, 
	#featured-products .entry-title a:focus,
	#medical-news .entry-title a:hover, 
	#medical-news .entry-title a:focus, 
	#medical-about-us .entry-title a:hover, 
	#medical-about-us .entry-title a:focus, 
	#medical-services .entry-title a:hover, 
	#medical-services .entry-title a:focus,
	#medical-features .feature-icon a,
	#medical-news .post-read-more a:hover,
	.release-wrapper .entry-title a:hover,
	#upcoming-events .location,
	.main-navigation ul.nav-menu li.custom-menu-item a:hover,
	#business-about-us .entry-title a:hover, 
	#business-about-us .entry-title a:focus,
	#business-team .entry-title a:hover, 
	#business-team .entry-title a:focus,
	ul.post-categories li a:hover,
	ul.post-categories li a:focus,
	.entry-title a:hover, 
	.entry-title a:focus,
	#counter-section .counter-icon,
	#counter-section .counter-value,
	#colophon .widget-title,
	#colophon .site-info a,
	#secondary .cat-links a, 
	#secondary ul li a:hover, 
	#secondary ul li a:focus,
	.comment-metadata a:hover, 
	.comment-metadata a:focus, 
	.comment-meta .url:hover, 
	.comment-meta .url:focus,
	.blog-content-wrapper .entry-title a:hover, 
	.blog-content-wrapper .entry-title a:focus,
	.product_meta a:hover, .product_meta a:focus, 
	.woocommerce div.product p.price, 
	.woocommerce div.product span.price,
	#trending-products .entry-title a:hover, 
	#trending-products .entry-title a:focus,
	#trending-products .price {
		color: ' . esc_attr($color_value) . ';
	}

	.loader-container svg,
	.main-navigation ul#primary-menu li:hover > svg,
	.main-navigation ul#primary-menu li:focus > svg,
	.main-navigation li.menu-item-has-children:hover > a > svg,
	.main-navigation li.menu-item-has-children > a:hover > svg,
	.main-navigation li.menu-item-has-children > a:focus > svg,
	.main-navigation ul#primary-menu > li.current-menu-item > a > svg,
	.main-navigation ul.nav-menu > li > a.search:hover svg.icon-search,
	.main-navigation ul.nav-menu > li > a.search:focus svg.icon-search,
	.main-navigation li.search-menu a:hover svg,
	.main-navigation li.search-menu a:focus svg,
	.main-navigation li.search-menu a.search-active svg,
	#contact-us svg,
	.navigation.post-navigation a:hover svg, 
	.navigation.posts-navigation a:hover svg, 
	.navigation.post-navigation a:focus svg, 
	.navigation.posts-navigation a:focus svg,
	#upcoming-events .event-time svg,
	.widget_search form.search-form button.search-submit:hover svg, 
	.widget_search form.search-form button.search-submit:focus svg {
		fill: ' . esc_attr($color_value) . ';
	}

	.main-navigation ul.nav-menu li.custom-menu-item a,
	.main-navigation ul.nav-menu li.custom-menu-item a:hover,
	#hero-banner .btn,
	#hero-banner .btn:first-child:hover,
	.btn,
	#pricing article .entry-container .btn:hover,
	.help-wrapper .featured-image .btn:hover,
	.woocommerce #respond input#submit, 
	.woocommerce a.button, 
	.woocommerce button.button, 
	.woocommerce input.button,
	.woocommerce #respond input#submit:hover, 
	.woocommerce button.button:hover, 
	.woocommerce input.button:hover,
	.pagination .page-numbers.current, 
	.pagination .page-numbers:hover, 
	.pagination .page-numbers:focus,
	.reply a:hover, 
	.reply a:focus,
	button:hover, 
	input[type="button"]:hover, 
	input[type="reset"]:hover, 
	input[type="submit"]:hover,
	.fourth-design .btn.btn-fill, 
	.fourth-design.dark-version .btn.btn-fill,
	.btn.btn-fill:hover, 
	.btn.btn-fill:focus,
	#masthead .custom-button,
	.featured-slider .read-more a:first-child:hover, 
	.featured-slider .read-more a:first-child:focus,
	#counter-section .counter-icon,
	#team-section .featured-image,
	.reply a,
	input[type="submit"],
	.woocommerce a.button {
	    border-color: ' . esc_attr($color_value) . ';
	}

	.medical-service-item .entry-header {
		border-bottom-color: ' . esc_attr($color_value) . ';
	}

	.main-navigation ul.nav-menu > li > a.custom-button{
		color: #fff !important;
	}

	.btn{
		color: #fff;
	}

	#raise_charity_pro_recent_cause_section .btn{
		color: ' . esc_attr($color_value) . ' !important;
		border-color: ' . esc_attr($color_value) . ' !important;
		background-color: transparent !important;
	}

	#raise_charity_pro_recent_cause_section .btn:focus,
	#raise_charity_pro_recent_cause_section .btn:hover{
		color: #fff !important;
		background-color: ' . esc_attr($color_value) . ' !important;
	}
	.main-navigation ul.nav-menu > li > a.custom-button:focus,
	.main-navigation ul.nav-menu > li > a.custom-button:hover,
	.btn:hover,
	.btn:focus {
		background-color: #000;
		color: #fff !important;
	}
	ul.post-categories li a:hover,
	ul.post-categories li a:focus {
		opacity: 0.7;
	}
	#gallery-section .entry-header,
	#testimonial-section .overlay {
		background-color: rgb(58 133 235 / 85%);
	}
	#colophon .site-info a:hover,
	#colophon .site-info a:focus,
	.woocommerce ul.products li.product .onsale,
	#masthead .custom-button:hover,
	#masthead .custom-button:focus {
		color: #fff;
	}
	ul.post-categories li a {
		color: #000;
	}


	@media screen and (min-width: 1024px) {
		.main-navigation ul#primary-menu ul li.current-menu-item > a, 
		.main-navigation ul#primary-menu ul li:hover > a, 
		.main-navigation ul#primary-menu ul li:focus > a {
		    color: ' . esc_attr($color_value) . ';
		}
		.main-navigation ul ul li.menu-item-has-children:hover > a > svg, 
		.main-navigation ul ul li.menu-item-has-children > a:hover > svg {
		    fill: ' . esc_attr($color_value) . ';
		}
	}


	@keyframes preloader {
	    0% {height:5px;transform:translateY(0px);background: ' . esc_attr($color_value) . ';}
	    25% {height:30px;transform:translateY(15px);background: ' . esc_attr($color_value) . ';}
	    50% {height:5px;transform:translateY(0px);background: ' . esc_attr($color_value) . ';}
	    100% {height:5px;transform:translateY(0px);background: ' . esc_attr($color_value) . ';}
	}';

	/**
	 * Filters Raise Charity Pro custom colors CSS.
	 *
	 * @since Raise Charity Pro 1.0.0
	 *
	 * @param string $css        Base theme colors CSS.
	 */
	return apply_filters( 'raise_charity_pro_custom_colors_css', $css );
}
